Subject: [alpine-devel] [PATCH] APKBUILD file for mg a Micro GNU/emacs

From: Lee Hinman <[email-masked]>
Date: Fri, 22 Oct 2010 10:17:54 -0500

---
 testing/mg/APKBUILD |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)
 create mode 100644 testing/mg/APKBUILD

diff --git a/testing/mg/APKBUILD b/testing/mg/APKBUILD
new file mode 100644
index 0000000..a695ec5
--- /dev/null
+++ b/testing/mg/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: 
+# Maintainer: 
+pkgname=mg
+pkgver=20090107
+pkgrel=0
+pkgdesc="mg is Micro GNU/emacs, this is a portable version of the mg maintained by the OpenBSD team."
+url="http://homepage.boetes.org/software/mg"
+license="public-domain BSD"
+depends=
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://homepage.boetes.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	./configure
+	make prefix=/usr mandir=/usr/share/man || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" prefix=/usr mandir=/usr/share/man install
+
+	# remove the 2 lines below (and this) if there is no init.d script
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="f25a139da44c3a2f760ffec531bd996e  mg-20090107.tar.gz"
-- 
1.6.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Sat, 23 Oct 2010 08:27:58 +0000

On Fri, 22 Oct 2010 10:17:54 -0500

>  create mode 100644 testing/mg/APKBUILD

Applied.

I had to remove -Werror to make it build with gcc-4.5.1.

I took the liberty to add your name/email to Contributor comment.

Thanks!

-nc

---